Taxes
Reusable tax definitions
The tax object
Attributes
iduuidUnique identifier
created_atread-onlytimestamp with time zoneCreation timestamp
updated_atread-onlytimestamp with time zoneLast modification timestamp
ftsread-onlytsvector | nullFull text search index
labelMultiLanguageStringLocalized label of the tax
percentagerealPercentage of the tax
typeTaxTypeType of the tax: on-top or included
Related resources
Embed related resources in the response with the select parameter, for example select=*,organizations(*). Resources related through more than one column need the column as a hint, like table!column(*).
line_item_taxes(*)arrayThe line item taxes referencing this tax through line_item_taxes.tax_id.
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:26:24.999Z",
"updated_at": "2026-10-30T22:26:24.999Z",
"label": {},
"percentage": 0,
"type": "on-top"
}curl -X GET "https://api.bookingmood.com/v1/taxes?limit=10&select=*,organizations(*),line_item_taxes(*)" \
-H "Authorization: Bearer YOUR_API_KEY"List taxes
Filters
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
ftsFilter<tsvector | null>Full text search index
labelFilter<MultiLanguageString>Localized label of the tax
percentageFilter<real>Percentage of the tax
typeFilter<TaxType>Type of the tax: on-top or included
Responses
200A list of taxes with the selected columns
206Partial Content
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
code, message, details and hint. See the introduction for more on errors.GET /taxescurl -X GET "https://api.bookingmood.com/v1/taxes?select=*&limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:26:24.999Z",
"updated_at": "2026-10-30T22:26:24.999Z",
"label": {},
"percentage": 0,
"type": "on-top"
}
]Create taxes
Body
Partial<Tax> | Array<Partial<Tax>>Read-only attributes are set by the database and can't be written.
Responses
201The newly created taxes with the selected columns
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.POST /taxescurl -X POST "https://api.bookingmood.com/v1/taxes" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"label": {},
"organization_id": "00000000-0000-0000-0000-000000000000",
"percentage": 0,
"type": "on-top"
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:26:24.999Z",
"updated_at": "2026-10-30T22:26:24.999Z",
"label": {},
"percentage": 0,
"type": "on-top"
}
]Delete taxes
Filters
Without filters, this request deletes all taxes you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
ftsFilter<tsvector | null>Full text search index
labelFilter<MultiLanguageString>Localized label of the tax
percentageFilter<real>Percentage of the tax
typeFilter<TaxType>Type of the tax: on-top or included
Responses
200The deleted taxes with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
code, message, details and hint. See the introduction for more on errors.DELETE /taxescurl -X DELETE "https://api.bookingmood.com/v1/taxes?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:26:24.999Z",
"updated_at": "2026-10-30T22:26:24.999Z",
"label": {},
"percentage": 0,
"type": "on-top"
}
]Update taxes
Filters
Without filters, this request updates all taxes you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
ftsFilter<tsvector | null>Full text search index
labelFilter<MultiLanguageString>Localized label of the tax
percentageFilter<real>Percentage of the tax
typeFilter<TaxType>Type of the tax: on-top or included
Body
Partial<Tax>Read-only attributes are set by the database and can't be written.
Responses
200The updated taxes with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.PATCH /taxescurl -X PATCH "https://api.bookingmood.com/v1/taxes?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"label": {}
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:26:24.999Z",
"updated_at": "2026-10-30T22:26:24.999Z",
"label": {},
"percentage": 0,
"type": "on-top"
}
]